<div class="container-fluid">
  <div class="row" *ngIf="countDetail">
    <div class="col-md-3 col-sm-6 col-xs-12">
      <div class="info-box">
        <span class="info-box-icon bg-green"><i class="pi pi-list"></i></span>
        <div class="info-box-content">
          <span class="info-box-text">My Requests</span>
          <span class="info-box-number">
            <a [routerLink]="['/pre-approval/my-request']">
              {{countDetail.preApproval?.myRequests}}
              <small>Pre Approval</small>
            </a>
          </span>
          <span class="info-box-number ">
            <a [routerLink]="['/bill-payment/all']">
               {{countDetail.billPayment?.myRequests}}
              <small>Bill Payment</small>
            </a>
          </span>
          <!--          <span class="info-box-number ">-->
          <button [routerLink]="['/reports/my-reports', 'MY_REQUEST']"
                  class="btn btn-info btn-xs">
            <strong>View All Request</strong>
          </button>
          <!--          </span>-->
        </div>
        <!-- /.info-box-content -->
      </div>
      <!-- /.info-box -->
    </div>
    <div class="col-md-3 col-sm-6 col-xs-12">
      <div class="info-box">
        <span class="info-box-icon bg-red">
          <svg class="bi bi-check2" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor"
               xmlns="http://www.w3.org/2000/svg">
             <path fill-rule="evenodd"
                   d="M13.854 3.646a.5.5 0 0 1 0 .708l-7 7a.5.5 0 0 1-.708 0l-3.5-3.5a.5.5 0 1 1 .708-.708L6.5 10.293l6.646-6.647a.5.5 0 0 1 .708 0z"/></svg>
          </span>
        <div class="info-box-content">
          <span class="info-box-text">Support Requests</span>
          <span class="info-box-number">
             <a [routerLink]="['/pre-approval/support']">
                {{countDetail.preApproval?.supportRequests}}
               <small>Pre Approval</small>
             </a>
          </span>
          <span class="info-box-number ">
             <a [routerLink]="['/bill-payment/support-request']">
                {{countDetail.billPayment?.supportRequests}}
               <small>Bill Payment</small>
             </a>
          </span>
          <button [routerLink]="['/reports/my-reports', 'SUPPORTED']"
                  class="btn btn-info btn-xs">
            <strong>Supported</strong>
          </button>
        </div>
        <!-- /.info-box-content -->
      </div>
      <!-- /.info-box -->
    </div>
    <div class="col-md-3 col-sm-6 col-xs-12">
      <div class="info-box">
        <span class="info-box-icon bg-yellow">
          <svg class="bi bi-check2-square" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor"
               xmlns="http://www.w3.org/2000/svg">
              <path fill-rule="evenodd"
                    d="M15.354 2.646a.5.5 0 0 1 0 .708l-7 7a.5.5 0 0 1-.708 0l-3-3a.5.5 0 1 1 .708-.708L8 9.293l6.646-6.647a.5.5 0 0 1 .708 0z"/>
              <path fill-rule="evenodd"
                    d="M1.5 13A1.5 1.5 0 0 0 3 14.5h10a1.5 1.5 0 0 0 1.5-1.5V8a.5.5 0 0 0-1 0v5a.5.5 0 0 1-.5.5H3a.5.5 0 0 1-.5-.5V3a.5.5 0 0 1 .5-.5h8a.5.5 0 0 0 0-1H3A1.5 1.5 0 0 0 1.5 3v10z"/>
          </svg>
        </span>

        <div class="info-box-content">
          <span class="info-box-text">Approve Requests</span>
          <span class="info-box-number">
            <a [routerLink]="['/pre-approval/approve']">
             {{countDetail.preApproval?.approveRequests}}
              <small>Pre Approval</small>
            </a>
          </span>
          <span class="info-box-number ">
             <a [routerLink]="['/bill-payment/approve-request']">
             {{countDetail.billPayment.approveRequests}}
               <small>Bill Payment</small>
             </a>
          </span>
          <button [routerLink]="['/reports/my-reports', 'APPROVED']"
                  class="btn btn-info btn-xs">
            <strong>Approved</strong>
          </button>
        </div>
        <!-- /.info-box-content -->
      </div>
      <!-- /.info-box -->
    </div>

    <div class="col-md-3 col-sm-6 col-xs-12">
      <div class="info-box">
        <span class="info-box-icon bg-blue"><i class="pi pi-th-large"></i></span>
        <div class="info-box-content">
          <span class="info-box-text">Total Requests</span>
          <span class="info-box-number">
            <a *ngIf="totalPreApproval">
             {{totalPreApproval}}
              <small>Pre Approval</small>
            </a>
          </span>
          <span class="info-box-number ">
             <a *ngIf="totalBillPayments">
             {{totalBillPayments}}
               <small>Bill Payment</small>
             </a>
          </span>
        </div>
        <!-- /.info-box-content -->
      </div>
      <!-- /.info-box -->
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <div class="box">
        <div class="box-header with-border">
          <div class="row">
            <div class="col-sm-4">
              <h3 class="box-title">Budget Vs Expenses Report </h3><br>
              <button type="button">
                <i class="pi pi-refresh">Refresh</i>
                <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
              </button>
            </div>
            <div class="col-sm-2">
              <div class="form-group">
                <label for="fiscalYear">Fiscal Year</label>
                <select id="fiscalYear"
                        class="form-control"
                        name="fiscalYear"
                        (ngModelChange)="loadData()"
                        [(ngModel)]="fiscalYearId"
                        required
                >
                  <option *ngFor="let event of (fiscalYears); let i = index"
                          [ngValue]="(fiscalYears)[i].id"
                  >{{ (fiscalYears)[i].year }}</option>
                </select>
              </div>
            </div>
            <div class="col-sm-2">
              <div class="form-group">
                <label for="accountHeadId">Account Head</label>
                <select id="accountHeadId"
                        class="form-control"
                        (ngModelChange)="loadData()"
                        [(ngModel)]="accountHeadId"
                        name="accountHeadId" required>
                  <option *ngFor="let event of (accountHeads); let i = index"
                          [ngValue]="(accountHeads)[i].accountHeadId"
                  >{{(accountHeads)[i].description + '( ' + (accountHeads)[i].accountNumber + ')' }}</option>
                </select>
              </div>
            </div>
            <div class="col-sm-2">
              <div class="form-group">
                <label for="branch">Branch</label>
                <select id="branch"
                        class="form-control"
                        [(ngModel)]="branchId"
                        (ngModelChange)="loadData()"
                        name="expType">
                  <option *ngFor="let event of (branches); let i = index"
                          [ngValue]="(branches)[i].branchId"
                  >{{(branches)[i].name }}</option>
                </select>
              </div>
            </div>
            <div class="col-sm-2">
              <div class="form-group">
                <label for="month">Month</label>
                <select id="month"
                        class="form-control"
                        name="month"
                        [(ngModel)]="selectedMonth"
                        (ngModelChange)="loadData()"
                >
                  <option *ngFor="let event of (months); let i = index"
                          [ngValue]="(months)[i].months"
                  >{{ (months)[i].months }}</option>
                </select>
              </div>
            </div>

          </div>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
          <div class="row">
            <div class="col-sm-3">
              <p class="text-center">
                <strong>This Month Budget</strong>
              </p>
              <div>
                <table class="table table-bordered" *ngIf="branchBudgetDetail">
                  <tr>
                    <td><strong>Budget</strong></td>
                    <td>{{branchBudgetDetail.budget | currency: 'NPR. '}}</td>
                  </tr>
                  <tr>
                    <td><strong>Expense</strong></td>
                    <td>{{branchBudgetDetail.expense | currency: 'NPR. '}}</td>
                  </tr>
                  <tr>
                    <td><strong>Pre-Approved</strong></td>
                    <td>{{branchBudgetDetail.preApproved | currency: 'NPR. '}}</td>
                  </tr>
                  <tr>
                    <td><strong>Budget YTD</strong></td>
                    <td>{{branchBudgetDetail.budgetYtd | currency: 'NPR. '}}</td>
                  </tr>
                  <tr>
                    <td><strong>Expense YTD</strong></td>
                    <td>{{branchBudgetDetail.expenseYtd | currency: 'NPR. '}}</td>
                  </tr>
                  <tr>
                    <td><strong>Pre-Approved YTD</strong></td>
                    <td>{{branchBudgetDetail.preApprovedYtd | currency: 'NPR. '}}</td>
                  </tr>
                  <tr>
                    <td><strong>Remaining Budget</strong></td>
                    <td>{{ (branchBudgetDetail.budgetYtd - (branchBudgetDetail.expenseYtd + branchBudgetDetail.preApprovedYtd))  | currency: 'NPR. '}}</td>
                  </tr>
                </table>
              </div>
            </div>
            <div class="col-md-5">
              <p class="text-center">
                <strong>Budget vs Expenses: 1 Shrawan, {{fromYear}} - 31 Ashad, {{toYear}}</strong>
              </p>

              <div class="chart">
                <!-- Sales Chart Canvas -->
                <p-toast [style]="{marginTop: '80px'}"></p-toast>
                <p-chart type="line" [data]="data" (onDataSelect)="selectData($event)"></p-chart>
              </div>
              <!-- /.chart-responsive -->
            </div>
            <!-- /.col -->
            <div class="col-md-4">
              <p class="text-center">
                <strong>Top Five Expenses</strong>
              </p>
              <p-chart type="doughnut" [data]="doughnutData"></p-chart>
            </div>
          </div>
        </div>
        <div class="box-footer">
          <div class="row">
            <div class="col-sm-3 col-xs-6">
              <div class="description-block border-right">
                <span class="description-percentage text-green"><i class="fa fa-caret-up"></i></span>
                <h5 class="description-header"
                    *ngIf="lineChartDetail"> {{lineChartDetail.totalBudget | currency: 'NPR. '}}</h5>
                <span class="description-text">TOTAL BUDGET</span>
              </div>
            </div>
            <div class="col-sm-3 col-xs-6">
              <div class="description-block border-right">
                <span class="description-percentage text-yellow"><i class="fa fa-caret-left"></i> </span>
                <h5 class="description-header"
                    *ngIf="lineChartDetail"> {{ lineChartDetail.totalExpenses | currency: 'NPR. ' }}</h5>
                <span class="description-text">TOTAL EXPENSES</span>
              </div>
            </div>
            <div class="col-sm-3 col-xs-6">
              <div class="description-block border-right">
                <span class="description-percentage text-green"><i class="fa fa-caret-up"></i> </span>
                <h5 class="description-header">
                  {{ remainingBudget | currency: 'NPR. '}}</h5>
                <span class="description-text">REMAINING BUDGET </span>
              </div>
            </div>
            <div class="col-sm-3 col-xs-6">

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
